"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Styled = require("./Styled");

var _context = _interopRequireDefault(require("../../context"));

var _utility = require("../../utility");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var Title = function Title(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle;

  if (!title) {
    throw new Error("title is a required property");
  }

  if (!subtitle) {
    throw new Error("subtitle is a required property");
  }

  var _useContext = (0, _react.useContext)(_context["default"]),
      type = _useContext.type,
      color = _useContext.color;

  return /*#__PURE__*/_react["default"].createElement(_Styled.Wrapper, null, /*#__PURE__*/_react["default"].createElement(_Styled.Title, {
    type: type,
    color: color
  }, (0, _utility.upperCaseFirstLetter)(title)), /*#__PURE__*/_react["default"].createElement(_Styled.Subtitle, null, (0, _utility.upperCaseFirstLetter)(subtitle)));
};

Title.propTypes = {
  title: _propTypes["default"].string.isRequired,
  subtitle: _propTypes["default"].string.isRequired
};
var _default = Title;
exports["default"] = _default;