"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _react = _interopRequireWildcard(require("react"));

var _enzyme = _interopRequireWildcard(require("enzyme"));

var _enzymeAdapterReact = _interopRequireDefault(require("enzyme-adapter-react-16"));

var _context = _interopRequireDefault(require("./context"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

_enzyme["default"].configure({
  adapter: new _enzymeAdapterReact["default"]()
});

describe("Notification context", function () {
  it("should pass the context values to the Child component properly", function () {
    var Child = function Child() {
      var _useContext = (0, _react.useContext)(_context["default"]),
          type = _useContext.type,
          visibile = _useContext.visibile,
          setVisible = _useContext.setVisible,
          darkmode = _useContext.darkmode;

      return /*#__PURE__*/_react["default"].createElement("p", null, type === "info" && visibile === false && typeof setVisible === "function" && darkmode == false);
    };

    var Parent = function Parent() {
      var value = {
        type: "info",
        visibile: true,
        setVisible: function setVisible() {},
        darkmode: false
      };
      return /*#__PURE__*/_react["default"].createElement(_context["default"].Provider, {
        value: value
      }, /*#__PURE__*/_react["default"].createElement(Child, null));
    };

    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(Parent, null));
    expect(wrapper.find( /*#__PURE__*/_react["default"].createElement(Child, null)).find( /*#__PURE__*/_react["default"].createElement("p", null, true))).toBeTruthy();
  });
});