"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Text = exports.Wrapper = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject2() {
  var data = _taggedTemplateLiteral(["\n       color:", ";\n       font-size:0.78rem;\n       font-weight:500;\n       font-family:'Arial';\n       margin-top:0;\n       margin-left:5px;\n       text-align:justify;\n       line-height:1.4rem;\n"]);

  _templateObject2 = function _templateObject2() {
    return data;
  };

  return data;
}

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n       margin-top:0px;\n       max-width: fit-content;\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents["default"].div(_templateObject());

exports.Wrapper = Wrapper;

var Text = _styledComponents["default"].p(_templateObject2(), function (_ref) {
  var darkmode = _ref.darkmode;
  return setColor(darkmode);
});

exports.Text = Text;

var setColor = function setColor(darkmode) {
  if (darkmode) {
    return 'rgba(140,140,140)';
  }

  return 'rgba(60,60,60)';
};