"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Wrapper = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _templateObject() {
  var data = _taggedTemplateLiteral(["\n       padding-right:8px;\n       color:", " ;     \n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

function _taggedTemplateLiteral(strings, raw) { if (!raw) { raw = strings.slice(0); } return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Wrapper = _styledComponents["default"].div(_templateObject(), function (_ref) {
  var type = _ref.type,
      color = _ref.color;
  return pickColor(type, color);
});

exports.Wrapper = Wrapper;

var pickColor = function pickColor(type, color) {
  if (color) {
    return color;
  }

  switch (type) {
    case "info":
      return "rgba(0, 87, 255)";

    case "warning":
      return "rgba(255,157,0)";

    case "success":
      return "rgba(0,216,0)";

    case "error":
      return "rgba(255,0,0)";

    default:
      return "rgba(190,190,190)";
  }
};