"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Icon", {
  enumerable: true,
  get: function get() {
    return _Icon["default"];
  }
});
Object.defineProperty(exports, "Title", {
  enumerable: true,
  get: function get() {
    return _Title["default"];
  }
});
Object.defineProperty(exports, "Close", {
  enumerable: true,
  get: function get() {
    return _Close["default"];
  }
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Styled = require("./Styled");

var _Icon = _interopRequireDefault(require("./Icon"));

var _Title = _interopRequireDefault(require("./Title"));

var _Close = _interopRequireDefault(require("./Close"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var Header = function Header(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle;
  return /*#__PURE__*/_react["default"].createElement(_Styled.Wrapper, null, /*#__PURE__*/_react["default"].createElement(_Icon["default"], null), /*#__PURE__*/_react["default"].createElement(_Title["default"], {
    title: title,
    subtitle: subtitle
  }), /*#__PURE__*/_react["default"].createElement(_Close["default"], null));
};

Header.propTypes = {
  title: _propTypes["default"].string.isRequired,
  subtitle: _propTypes["default"].string.isRequired
};
var _default = Header;
exports["default"] = _default;